<!-- <mat-sidenav-container class="sidenav-container">
    <mat-sidenav #drawer class="sidenav" fixedInViewport [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'" [mode]="(isHandset$ | async) ? 'over' : 'side'" [opened]="(isHandset$ | async) === false">
        <mat-toolbar>Menu</mat-toolbar>
        <mat-nav-list>
            <a mat-list-item [routerLink]="['./activitylist']" routerLinkActive="router-link-active">Activity</a>
            <a mat-list-item [routerLink]="['./studentlist']" routerLinkActive="router-link-active">Student</a>
            <a mat-list-item [routerLink]="['./pendinglist']" routerLinkActive="router-link-active">Pending</a>
        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
        <mat-toolbar color="primary">
            <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()" *ngIf="isHandset$ | async">
                <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
            </button>
            <span>Teacher</span>
            <div>
                <button mat-raised-button class="btn reqBtn" color="basic" matBadge="112" matBadgePosition="above after" matBadgeColor="warn" [routerLink]="['./pendinglist']">Request</button>
            </div>
            <div>
                <button mat-flat-button class="btn logoutBtn" color="warn" [routerLink]="['/login']">Log out</button>
            </div>
        </mat-toolbar>
        <!-- Add Content Here 
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container> -->


<mat-toolbar color="primary">
    <mat-toolbar-row>
        <button mat-icon-button (click)="sidenav.toggle()" fxShow="true" fxHide.gt-sm>
              <mat-icon>menu</mat-icon>
            </button>
        <span>Teacher</span>
        <span class="menu-spacer"></span>
        <div class="menuList" fxShow="true" fxHide.lt-md>
            <!-- The following menu items will be hidden on both SM and XS screen sizes -->
            <a [routerLink]="['./activitylist']" routerLinkActive="router-link-active" mat-button>Activity</a>
            <a [routerLink]="['./studentlist']" routerLinkActive="router-link-active" mat-button>Student</a>
            <a [routerLink]="['./pendinglist']" routerLinkActive="router-link-active" mat-button>Pending</a>
        </div>
        <div>
            <button mat-raised-button class="btn reqBtn" color="basic" matBadge="112" matBadgePosition="above after" matBadgeColor="warn" [routerLink]="['./pendinglist']">Request</button>
            <button mat-flat-button class="btn logoutBtn" color="warn" [routerLink]="['/login']">Log out</button>
        </div>
    </mat-toolbar-row>
</mat-toolbar>

<mat-sidenav-container fxFlexFill>
    <mat-sidenav #sidenav>
        <mat-nav-list>
            <a style="margin-left: 200px;"></a>
            <a [routerLink]="['./activitylist']" routerLinkActive="router-link-active" mat-list-item>Activity       </a>
            <a [routerLink]="['./studentlist']" routerLinkActive="router-link-active" mat-list-item>Student</a>
            <a [routerLink]="['./pendinglist']" routerLinkActive="router-link-active" mat-list-item>Pending</a>
            <a class="btmBtn" (click)="sidenav.toggle()" mat-list-item>Close</a>
        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content fxFlexFill>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>